import React from "react";
import Dialog from "@mui/material/Dialog";
import DialogTitle from "@mui/material/DialogTitle";
import DialogContent from "@mui/material/DialogContent";
import DialogActions from "@mui/material/DialogActions";
import FormControl from "@mui/material/FormControl";
import FormLabel from "@mui/material/FormLabel";
import RadioGroup from "@mui/material/RadioGroup";
import Radio from "@mui/material/Radio";
import FormControlLabel from "@mui/material/FormControlLabel";
import Button from "@mui/material/Button";
import { useSettings } from "../SettingsProvider";
import { Stack } from "@mui/material";
export var SettingsDialog = function SettingsDialog(_ref) {
  var open = _ref.open,
      onClose = _ref.onClose;
  var settings = useSettings();
  return (
    /*#__PURE__*/
    // <Dialog open={open || false} onClose={onClose}>
    //   <DialogTitle>Configuración</DialogTitle>
    //   <DialogContent style={{ minWidth: 400 }}>
    //     <Survey
    //       variant="flat"
    //       noActions
    //       defaultAnswers={settings}
    //       onQuestionChange={(q, a, answers) => settings.changeSetting(q, a)}
    //       form={{
    //         questions: [
    //           {
    //             type: "boolean",
    //             title: "Mostrar puntos de mira",
    //             name: "showCrosshairs",
    //           },
    //           {
    //             type: "boolean",
    //             title: "Mostrar cuadro resaltado",
    //             name: "showHighlightBox",
    //           },
    //           // {
    //           //   type: "boolean",
    //           //   title: "WASD Mode",
    //           //   name: "wasdMode",
    //           // },
    //           // {
    //           //   type: "dropdown",
    //           //   title: "Video Playback Speed",
    //           //   name: "videoPlaybackSpeed",
    //           //   defaultValue: "1x",
    //           //   choices: ["0.25x", "0.5x", "1x", "2x"],
    //           // },
    //         ],
    //       }}
    //     />
    //   </DialogContent>
    //   <DialogActions>
    //     <Button onClick={onClose}>Cerrar</Button>
    //   </DialogActions>
    // </Dialog>
    React.createElement(Dialog, {
      fullWidth: true,
      open: open,
      onClose: function onClose() {},
      "aria-labelledby": "alert-dialog-title",
      "aria-describedby": "alert-dialog-description"
    }, /*#__PURE__*/React.createElement(DialogTitle, {
      id: "alert-dialog-title"
    }, "Configuración"), /*#__PURE__*/React.createElement(DialogContent, null, /*#__PURE__*/React.createElement(Stack, null, /*#__PURE__*/React.createElement(FormControl, null, /*#__PURE__*/React.createElement(FormLabel, null, "Mostrar punto de mira"), /*#__PURE__*/React.createElement(RadioGroup, {
      row: true,
      "aria-labelledby": "demo-row-radio-buttons-group-label"
    }, /*#__PURE__*/React.createElement(FormControlLabel, {
      checked: settings.showCrosshairs,
      control: /*#__PURE__*/React.createElement(Radio, null),
      label: "Si",
      onChange: function onChange() {
        return settings.changeSetting("showCrosshairs", true);
      }
    }), /*#__PURE__*/React.createElement(FormControlLabel, {
      checked: !settings.showCrosshairs,
      control: /*#__PURE__*/React.createElement(Radio, null),
      label: "No",
      onChange: function onChange() {
        return settings.changeSetting("showCrosshairs", false);
      }
    })))), /*#__PURE__*/React.createElement(Stack, null, /*#__PURE__*/React.createElement(FormControl, null, /*#__PURE__*/React.createElement(FormLabel, null, "Mostrar cuadro resaltado"), /*#__PURE__*/React.createElement(RadioGroup, {
      row: true,
      "aria-labelledby": "demo-row-radio-buttons-group-label"
    }, /*#__PURE__*/React.createElement(FormControlLabel, {
      checked: settings.showHighlightBox,
      control: /*#__PURE__*/React.createElement(Radio, null),
      label: "Si",
      onChange: function onChange() {
        return settings.changeSetting("showHighlightBox", true);
      }
    }), /*#__PURE__*/React.createElement(FormControlLabel, {
      checked: !settings.showHighlightBox,
      control: /*#__PURE__*/React.createElement(Radio, null),
      label: "No",
      onChange: function onChange() {
        return settings.changeSetting("showHighlightBox", false);
      }
    }))))), /*#__PURE__*/React.createElement(DialogActions, null, /*#__PURE__*/React.createElement(Button, {
      onClick: onClose
    }, "cerrar")))
  );
};
export default SettingsDialog;